#!/bin/sh -e

# Common paths
MOUNT_PATH="./mnt/fsuser-1"

# SPF
SPF_PATH="${MOUNT_PATH}/spf"
SPF_CONF_FILE="${SPF_PATH}/etc/global_conf.json"

# CPF
LORAD_CONF_PATH="${MOUNT_PATH}/lorad/etc"
LORAFWD_CONF_PATH="${MOUNT_PATH}/lorafwd/etc"
LORAD_CONF_FILE="${LORAD_CONF_PATH}/oldconfig.json"
LORAFWD_CONF_FILE="${LORAFWD_CONF_PATH}/oldconfig.toml"

# SPF to CPF configuration converter
SPFTOCPFCONF_PATH="${MOUNT_PATH}/spftocpfconf"
SPFTOCPFCONF_BIN="${SPFTOCPFCONF_PATH}/sbin/spftocpfconf"

# Generate configuration files from SPF
if [ -f ${SPF_CONF_FILE} ]; then
	mkdir -p ${LORAD_CONF_PATH}
	mkdir -p ${LORAFWD_CONF_PATH}

	${SPFTOCPFCONF_BIN} -d ${SPF_CONF_FILE} ${LORAD_CONF_FILE}
	${SPFTOCPFCONF_BIN} -f ${SPF_CONF_FILE} ${LORAFWD_CONF_FILE}
fi

# Clean all SPF files
rm -rf ${SPF_PATH}

# Clean all SPF to CPF configuration converter files
rm -rf ${SPFTOCPFCONF_PATH}
